# ChangeLog for sys-apps/shadow
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/shadow/ChangeLog,v 1.136 2006/03/26 11:24:04 kloeri Exp $

  26 Mar 2006; Bryan Østergaard <kloeri@gentoo.org shadow-4.0.14-r1.ebuild:
  Stable on alpha, bug 125419.

*shadow-4.0.15 (21 Mar 2006)

  21 Mar 2006; Mike Frysinger <vapier@gentoo.org> +shadow-4.0.15.ebuild:
  Version bump.

*shadow-4.0.14-r3 (17 Mar 2006)

  17 Mar 2006; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.14-userdel-group-remove.patch, +shadow-4.0.14-r3.ebuild:
  Fix from upstream for bogus userdel warning #126432 by Gabriel Lavoie.

  14 Mar 2006; Emanuele Giaquinta <exg@gentoo.org> shadow-4.0.14-r1.ebuild:
  Stable on ppc; bug #125419

  13 Mar 2006; Joshua Jackson <tsunam@gentoo.org> shadow-4.0.14-r1.ebuild:
  Stable on x86; bug #125419

*shadow-4.0.14-r2 (12 Mar 2006)

  12 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> +files/login.defs,
  +files/login.pamd, +shadow-4.0.14-r2.ebuild:
  Merge pam-login back into shadow, as 4.x version was already being used;
  this means that upgrade from 4.0.14-r1 requires to remove pam-login before.

  11 Mar 2006; Mike Frysinger <vapier@gentoo.org> shadow-4.0.11.1-r1.ebuild,
  shadow-4.0.11.1-r2.ebuild, shadow-4.0.12.ebuild, shadow-4.0.13.ebuild,
  shadow-4.0.14-r1.ebuild:
  The skey configure option is just plain skey now, not libskey, as noted by
  Torsten Veller #125419.

  09 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  shadow-4.0.14-r1.ebuild:
  Stable on sparc wrt #125419

  09 Mar 2006; Luis Medinas <metalgod@gentoo.org> shadow-4.0.14-r1.ebuild:
  Stable on amd64. Bug #125419.

  08 Mar 2006; Markus Rothe <corsair@gentoo.org> shadow-4.0.14-r1.ebuild:
  Stable on ppc64; bug #125419

  10 Jan 2006; Chris PeBenito <pebenito@gentoo.org> shadow-4.0.13.ebuild,
  shadow-4.0.14-r1.ebuild:
  Fix libselinux version required.

*shadow-4.0.14-r1 (10 Jan 2006)

  10 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.14-su-cvs.patch, -shadow-4.0.14.ebuild,
  +shadow-4.0.14-r1.ebuild:
  Grab a fix from upstream cvs to fix `su -c boo` syntax #118342 by Wolfgang
  Frisch.

*shadow-4.0.14 (04 Jan 2006)

  04 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.14-nls-manpages.patch,
  +files/shadow-4.0.14-su-fix-environment.patch, +shadow-4.0.14.ebuild:
  Version bump.

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> shadow-4.0.13.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

*shadow-4.0.13 (10 Oct 2005)

  10 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.13-dots-in-usernames.patch,
  +files/shadow-4.0.13-login.defs.patch,
  +files/shadow-4.0.13-long-groupnames.patch,
  +files/shadow-4.0.13-nonis.patch,
  +files/shadow-4.0.13-su-fix-environment.patch, +shadow-4.0.13.ebuild:
  Version bump.

  24 Aug 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.12-gcc2.patch, shadow-4.0.12.ebuild:
  Fix compiling with gcc-2.95.x

*shadow-4.0.12 (23 Aug 2005)

  23 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.12-dots-in-usernames.patch,
  +files/shadow-4.0.12-long-groupnames.patch, +shadow-4.0.12.ebuild:
  Version bump.

  09 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> shadow-4.0.7-r3.ebuild:
  Stable on mips.

*shadow-4.0.11.1-r2 (04 Aug 2005)

  04 Aug 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.11.1-su-fix-environment.patch,
  +shadow-4.0.11.1-r2.ebuild:
  Patch from upstream enables the new environment too early for PAM, causing
  segfaults in some cases.

*shadow-4.0.11.1-r1 (03 Aug 2005)

  03 Aug 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.11.1-SUPATH.patch,
  +files/shadow-4.0.11.1-ngettext.patch,
  +files/shadow-4.0.11.1-uclibc-missing-l64a.patch,
  +shadow-4.0.11.1-r1.ebuild:
  Checked with upstream .. SUPATH and PATH valid again for PAM (bug #101047).
  Fix building on UCLIBC.

*shadow-4.0.11.1 (01 Aug 2005)

  01 Aug 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.11.1-perms.patch, +shadow-4.0.11.1.ebuild:
  Update version. Remove login.access, related manpages, etc for PAM enabled,
  as its not used.

*shadow-4.0.7-r4 (25 Jul 2005)

  25 Jul 2005; <solar.@gentoo.org> +files/shadow-4.0.7-perms.patch,
  shadow-4.0.10.ebuild, +shadow-4.0.7-r4.ebuild:
  - added no /usr/bin suid option as local use flag nousuid for single user
  systems

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> shadow-4.0.7-r3.ebuild:
  Stable on alpha.

  10 Jul 2005; Joseph Jezak <josejx@gentoo.org> shadow-4.0.7-r3.ebuild:
  Marked ppc stable.

  10 Jul 2005; Daniel Ostrow <dostrow@gentoo.org> shadow-4.0.7-r3.ebuild:
  Change check for ppc64 and securetty from tc-arch to tc-arch-kernel.

  08 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  shadow-4.0.7-r3.ebuild:
  Stable on hppa.

  08 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  shadow-4.0.7-r3.ebuild:
  Stable on sparc

  08 Jul 2005; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.10.ebuild:
  Add NSCD patches from 4.0.7-r3 as well.

*shadow-4.0.7-r3 (08 Jul 2005)

  08 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.7-nscd-EPIPE-failure.patch,
  +files/shadow-4.0.7-nscd-socket-path.patch, shadow-4.0.7-r3.ebuild:
  Fix EPIPE when nscd is used, bug #80413.

  07 Jul 2005; Markus Rothe <corsair@gentoo.org> shadow-4.0.7-r2.ebuild:
  Stable on ppc64

  07 Jul 2005; Diego Pettenò <flameeyes@gentoo.org> shadow-4.0.7-r2.ebuild:
  Stable on amd64

*shadow-4.0.10 (30 Jun 2005)

  30 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.10-dots-in-usernames.patch,
  +files/shadow-4.0.10-fix-configure.patch,
  +files/shadow-4.0.10-long-groupnames.patch,
  +files/shadow-4.0.10-nls-manpages.patch, +files/shadow-4.0.10-nonis.patch,
  +shadow-4.0.10.ebuild:
  Version bump.

  16 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
  files/pam.d/system-auth-1.1, files/pam.d-include/system-auth-1.1,
  files/pam.d/login, files/pam.d/other, files/pam.d/passwd,
  files/pam.d/shadow, files/pam.d/su, files/pam.d/system-auth:
  Make all pam.d files use just the modules' filenames instead of full path to
  fix multilib setups.

  10 Jun 2005; Chris Gianelloni <wolf31o2@gentoo.org> files/securetty:
  Added vc/0 tty0 for uml.  Blame rocket.

*shadow-4.0.7-r2 (03 Jun 2005)

  03 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/pam.d-include/system-auth-1.1, +files/pam.d-include/login,
  +files/pam.d-include/other, +files/pam.d-include/passwd,
  +files/pam.d-include/shadow, +files/pam.d-include/su,
  +files/pam.d-include/su-openpam, +files/pam.d-include/system-auth,
  +shadow-4.0.7-r2.ebuild:
  New revision depending on virtual/pam and using include syntax. Fixes
  OpenPAM and AMD64 compatibility.

  29 May 2005; <solar@gentoo.org> shadow-4.0.4.1-r4.ebuild:
  - update sys-apps/shadow to use libc expanded variable elibc_uclibc vs uclibc
  so USE=-* works

  23 Mar 2005; Chris Gianelloni <wolf31o2@gentoo.org> files/securetty:
  Added hvc0 to securetty for ppc64 serial console.

  22 Mar 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/shadow-4.0.7-lastlog.patch, shadow-4.0.7-r1.ebuild:
  Fix last login logging for tty's - patch from upstream via
  Robert Connolly <robert@linuxfromscratch.org>.

*shadow-4.0.7-r1 (25 Feb 2005)

  25 Feb 2005; Martin Schlemmer <azarah@gentoo.org>
  files/pam.d/system-auth-1.1, +shadow-4.0.7-r1.ebuild:
  No longer DEPEND on pam-login, but PDEPEND on pam-login-3.17 or later, as we
  move the login pam.d file there. Remove the pam_console comments from
  pam.d/system-auth-1.1, as it is needed in pam.d/login. Do not install other
  and system-auth pam.d files if we have pam-0.78 or later.

  10 Feb 2005; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.5-r3.ebuild:
  Basically -r3 is the same as -r2, just with fix for the MAIL issue with su,
  so mark stable for all that have -r2 stable.

*shadow-4.0.7 (06 Feb 2005)

  06 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.7-iswheel.patch, +shadow-4.0.7.ebuild:
  Version bump with wheel patch by Gregorio Guidi #80345.

*shadow-4.0.6-r1 (11 Jan 2005)

  11 Jan 2005; Mike Frysinger <vapier@gentoo.org> +shadow-4.0.6-r1.ebuild:
  Fix patch to nscd socket #74395 by Phil Pennock.

  10 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.6-dots-in-usernames.patch,
  +files/shadow-4.0.6-long-groupnames.patch, shadow-4.0.6.ebuild:
  Add patches to enable long group names #3485 and usernames with a . in them
  #22920.

  06 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.6-manpages.patch, shadow-4.0.6.ebuild:
  Add minor patch by Eric Brown to SEE ALSO in manpages #70880.

  04 Jan 2005; Markus Rothe <corsair@gentoo.org> shadow-4.0.5-r3.ebuild:
  Stable on ppc64

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  25 Nov 2004; <solar@gentoo.org> shadow-4.0.5-r2.ebuild,
  shadow-4.0.5-r3.ebuild, shadow-4.0.6.ebuild:
  Fix RDEPEND's for bug #67815 again

  23 Nov 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.5-r2.ebuild,
  shadow-4.0.5-r3.ebuild, shadow-4.0.6.ebuild:
  Update DEPENDs so that we either require pam-login or block it depending on
  USE=pam #67815.

*shadow-4.0.6 (11 Nov 2004)

  11 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.6-fix-configure.patch, +shadow-4.0.6.ebuild:
  Version bump #70757 by Lindsay Jack.

*shadow-4.0.5-r3 (07 Nov 2004)

  07 Nov 2004; Martin Schlemmer <azarah@gentoo.org> :
  Fix configure not detecting maildir, etc properly. Fix pam_env set variables
  not being set.

  07 Nov 2004; Joshua Kinard <kumba@gentoo.org> shadow-4.0.5-r2.ebuild:
  Marked stable on mips.

*shadow-4.0.5-r2 (03 Nov 2004)

  03 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.5-hack-X-envvars.patch, +shadow-4.0.5-r2.ebuild:
  Restore DISPLAY/XAUTHORITY env passing hack for now #69925.

*shadow-4.0.5-r1 (03 Nov 2004)

  03 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.5-remove-else.patch, +shadow-4.0.5-r1.ebuild,
  shadow-4.0.5.ebuild:
  Small security patch from upstream cvs #69212 and install more pam.d files
  #69895.

  02 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  shadow-4.0.5.ebuild:
  Stable amd64.

  02 Nov 2004; Markus Rothe <corsair@gentoo.org> shadow-4.0.5.ebuild:
  Stable on ppc64, bug #69212

  02 Nov 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.5.ebuild:
  Mark arm/hppa/ia64/s390/x86 stable for security, fix duplicate manpage
  install #69781, and block virtual/login when USE=-pam.

  02 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> shadow-4.0.5.ebuild:
  Stable on sparc wrt #69212

  02 Nov 2004; Bryan Østergaard <kloeri@gentoo.org> shadow-4.0.5.ebuild:
  Stable on alpha, bug 69212.

  02 Nov 2004; Lars Weiler <pylon@gentoo.org> shadow-4.0.5.ebuild:
  Stable on ppc.  Bug #69212.

  01 Nov 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.5.ebuild, 
  +files/shadow-4.0.5-skey.patch:
  Add patch by Mark Wagner to fix skey support #69741 by Thomas Matthijs.

  28 Oct 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.4.1-r4.ebuild,
  shadow-4.0.5.ebuild, +files/shadow-4.0.4.1-passwd-typo.patch:
  Fix small glitch in passwd.1 #68150 by rob holland.

*shadow-4.0.5 (28 Oct 2004)

  28 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.5-nls-manpages.patch, +shadow-4.0.5.ebuild:
  Version bump #69212 by me.

  16 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/shadow-4.0.4.1-nls-manpages.patch:
  Add a small patch I made to not install manpages if USE=-nls.

  15 Oct 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  shadow-4.0.4.1-r4.ebuild:
  Stable on sparc

  10 Oct 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.4.1-r3.ebuild,
  shadow-4.0.4.1-r4.ebuild:
  Move /usr/bin/passwd -> /bin/passwd to aid system recovery #64441.

  09 Oct 2004; Mike Frysinger <vapier@gentoo.org> shadow-4.0.4.1-r4.ebuild:
  Clean up the manpage fixes and change setuid perms to 4711 by default #47208.

*shadow-4.0.4.1-r4 (07 Oct 2004)

  07 Oct 2004; Mike Frysinger <vapier@gentoo.org> +shadow-4.0.4.1-r4.ebuild
  +files/shadow-4.0.4.1-userdel-missing-brackets.patch:
  Add patch to fix exit status while using pam #66687 by Scott Beck/Jason
  Rhinelander.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  shadow-4.0.4.1-r1.ebuild, shadow-4.0.4.1-r2.ebuild:
  Masked shadow-4.0.4.1-r2.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  shadow-4.0.4.1-r1.ebuild:
  Masked shadow-4.0.4.1-r1.ebuild stable for ppc

  18 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  shadow-4.0.4.1-r3.ebuild:
  Stable on sparc

  29 Jul 2004; Guy Martin <gmsoft@gentoo.org> shadow-4.0.4.1-r3.ebuild:
  Stable on hppa.

  12 Jul 2004; Tom Gall <tgall@gentoo.org> shadow-4.0.3-r10:ebuild:
  stable on ppc64, add ttyS0 to ppc64 securetty, and add in
  epatch for gcc 34 Ibug #47455  (bug #56273)

  03 Jul 2004; Guy Martin <gmsoft@gentoo.org> shadow-4.0.4.1-r2.ebuild:
  Marked stable on hppa.

*shadow-4.0.4.1-r3 (03 Jul 2004)

  03 Jul 2004; Chris PeBenito <pebenito@gentoo.org>
  files/shadow-4.0.4.1-selinux.diff, +shadow-4.0.4.1-r3.ebuild:
  Fix /etc/passwd labeling issue in SELinux patch caught by Petre Rodan in
  #55781. Otherwise same as 4.0.4.1-r2.

  03 Jul 2004; Joshua Kinard <kumba@gentoo.org> shadow-4.0.4.1-r2.ebuild:
  Marked stable on mips.

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org> shadow-4.0.4.1-r2.ebuild:
  stable on x86, alpha, ia64

  27 Jun 2004; Aron Griffis <agriffis@gentoo.org> shadow-4.0.3-r10.ebuild,
  shadow-4.0.3-r9.ebuild, shadow-4.0.4.1-r1.ebuild, shadow-4.0.4.1.ebuild:
  QA - fix use invocation

  15 Jun 2004; <solar@gentoo.org> shadow-4.0.4.1-r2.ebuild,
  files/shadow-4.0.4.1-nonis.patch:
  added nonis patch and uclibc USE to allow shadow to be compiled under uclibc
  envs

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> shadow-4.0.4.1-r1.ebuild:
  Stable on alpha.

*shadow-4.0.4.1-r2 (28 May 2004)

  28 May 2004; Aron Griffis <agriffis@gentoo.org> +shadow-4.0.4.1-r2.ebuild:
  Remove libshadow and libmisc from the shadow package. They shouldn't be
  installed; they're for package internal use only. Installing them breaks
  packages that check for libshadow such as freeradius. See bug 37725 for more
  information. Thanks to Hans W. Wurst for providing some good information in
  that bug.

*shadow-4.0.4.1-r1 (06 May 2004)

  06 May 2004; Aron Griffis <agriffis@gentoo.org> +shadow-4.0.4.1-r1.ebuild,
  shadow-4.0.4.1.ebuild:
  Fix bug 35736: Use -fPIC when building on 64-bit systems so that other
  packages which link shadow into their shared objects will build, for example
  freeradius. Normally this is something to fix globally, but don't want to hurt
  performance for other arches.

  04 May 2004; Gustavo Zacarias <gustavoz@gentoo.org> shadow-4.0.3-r10.ebuild,
  shadow-4.0.4.1.ebuild:
  hppa consoles added to securetty, sparc cleanup, for non-stable ebuilds

  04 May 2004; Gustavo Zacarias <gustavoz@gentoo.org> shadow-4.0.3-r9.ebuild:
  hppa consoles added to securetty, sparc cleanup

  22 Apr 2004; Travis Tilley <lv@gentoo.org>
  +files/shadow-4.0.3-gcc34-xmalloc.patch,
  +files/shadow-4.0.4.1-gcc34-xmalloc.patch, shadow-4.0.3-r9.ebuild,
  shadow-4.0.4.1.ebuild:
  fixes for compiling with gcc 3.4 - bug #47455

  29 Mar 2004; Jon Portnoy <avenj@gentoo.org> shadow-4.0.3-r9.ebuild,
  shadow-4.0.3-r10.ebuild, shadow-4.0.4.1.ebuild :
  Need nls in IUSE, referenced in DEPEND. Bug #44548.

  16 Feb 2004; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r9.ebuild,
  shadow-4.0.4.1.ebuild:
  Fix sg, adduser and vigr symlinks (make them relative not absolute), bug
  #41178.

  23 Jan 2004; Chris PeBenito <pebenito@gentoo.org> shadow-4.0.4.1.ebuild,
  files/shadow-4.0.4.1-selinux.diff:
  Update SELinux patch.

*shadow-4.0.4.1 (22 Jan 2004)

  22 Jan 2004; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.4.1.ebuild,
  files/shadow-4.0.4.1-su-pam_open_session.patch,
  files/shadow-4.0.4.1-useradd-manpage-update.patch:
  Update version.

*shadow-4.0.3-r10 (09 Jan 2004)

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> shadow-4.0.3-r10.ebuild:
  Enable building of shared objects.  Thanks to Nico Baggus in bug 37725.
  This also closes bug 37719 since freeradius should be able to build with
  libshadow.so

  15 Dec 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r9.ebuild:
  Install the correct version of /etc/pam.d/system-auth, and do not install
  system-auth-1.1. Do not force update anymore.

  10 Dec 2003; Seemant Kulleen <seemant@gentoo.org> shadow-4.0.3-r9.ebuild:
  don't install man 5 passwd either, man-pages again

  10 Dec 2003; Seemant Kulleen <seemant@gentoo.org> shadow-4.0.3-r9.ebuild:
  don't install the getspnam manpage -- man-pages package handles that and does
  it with a better version, to boot

  09 Dec 2003; Seemant Kulleen <seemant@gentoo.org> shadow-4.0.3-r9.ebuild:
  don't install the id man page, coreutils does that

*shadow-4.0.3-r9 (06 Dec 2003)

  06 Dec 2003; Seemant Kulleen <seemant@gentoo.org> shadow-4.0.3-r9.ebuild:
  version bump to force /bin/groups to be on the system -- /bin/groups has been
  removed from coreutils, and now only shadow will provide it. Note that
  coreutils used to compile su and not install it.  This behaviour was
  changed in the bumped coreutils as well (not that that has any effect on
  this, but thought I'd mention it anyway)

*shadow-4.0.3-r8 (17 Nov 2003)

  17 Nov 2003; Joshua Brindle <method@gentoo.org> shadow-4.0.3-r8.ebuild:
  added optional pam support

  28 Oct 2003; Chris PeBenito <pebenito@gentoo.org> shadow-4.0.3-r7.ebuild,
  files/shadow-4.0.3-selinux.diff:
  Add new API SELinux patch

  26 Sep 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r7.ebuild:
  Mark stable.

  26 Sep 2003; Martin Holzer <mholzer@gentoo.org> shadow-4.0.3-r3.ebuild,
  shadow-4.0.3-r4.ebuild, shadow-4.0.3-r5.ebuild, shadow-4.0.3-r6.ebuild,
  shadow-4.0.3-r7.ebuild:
  Added nls? sys-devel/gettext. Closes #29236.

*shadow-4.0.3-r7 (04 Aug 2003)

  04 Aug 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r7.ebuild,
  files/pam.d/system-auth-1.1:
  Remove the 'nodelay' option from authentication (/etc/pam.d/system-auth), bug
  #24081.

  29 Jun 2003; Chris PeBenito <pebenito@gentoo.org> shadow-4.0.3-r6.ebuild:
  Remove selinux stuff, as its no longer needed.  Using pam-login again.

*shadow-4.0.3-r6 (18 May 2003)

  18 May 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r6.ebuild:
  Get the fixed version that do not exclude selinux in as latest stable.

*shadow-4.0.3-r5 (13 May 2003)

  14 May 2003; Joshua Kinard <kumba@gentoo.org> shadow-4.0.3-r5.ebuild:
  Added "gnuconfig" to inherit and "gnuconfig_update" to src_compile()
  to make it detect mips systems correctly

  13 May 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Security update. Added nodelay to second line of pam.d/system-auth.

*shadow-4.0.3-r4 (23 Feb 2003)

  24 Feb 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r4.ebuild :
  Remove the patch again, as it could be a security risk.  Users can use:

     # sudo -u nobody ls

  If they need to run commands as user with '/bin/false' as login ...

  23 Feb 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r4.ebuild :
  If su should not simulate a login shell, use '/bin/sh' as shell to enable
  running of commands as user with /bin/false as shell, closing bug #15015.

  21 Feb 2003; Zach Welch <zwelch@gentoo.org> shadow-4.0.3-r3.ebuild :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> shadow-4.0.3-r3.ebuild :
  Added hppa to keywords.

  19 Jan 2003; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r3.ebuild :
  
  Patch the useradd manpage to be a bit more clear, closing bug #13203.
  Thanks to Guy <guycad@mindspring.com>.


*shadow-4.0.3-r3 (25 Dec 2002)

  24 Mar 2003; Joshua Brindle <method@gentoo.org> shadow-4.0.3-r3.ebuild:
  added pam.d files for selinux builds

  23 Mar 2003; Joshua Brindle <method@gentoo.org> shadow-4.0.3-r3.ebuild:
  added selinux support, thanks sindian

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :

  Added mips to keywords

  25 Dec 2002; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r3.ebuild :

  Added /etc/default/useradd with default shell of /bin/bash, closing bug #5629.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :
  
  Changed sparc ~sparc keywords.
 
  03 Dec 2002; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r2.ebuild :

  Mark as stable.  Update pam.d/su to use pam_filelist.so if uncommented.
  This can be used as a type of /etc/suauth.  Should close bug #4210.

  Fix an issue where /etc/pam.d/system-auth.new was still being installed.

*shadow-4.0.3-r1 (20 Oct 2002)

  20 Oct 2002; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r2.ebuild :

  Update the su-pam_open_session.patch, as the old one did not export
  XAUTHORITY, or call pam_close_session().

*shadow-4.0.3-r1 (19 Oct 2002)

  19 Oct 2002; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3-r1.ebuild :

  Get su to call pam_open_session(), and also set DISPLAY and XAUTHORITY,
  else the session entries in /etc/pam.d/su never get executed, and
  pam_xauth for one, is then never used.  This should close bug #8831.


  12 Oct 2002; Martin Schlemmer <azarah@gentoo.org> shadow-4.0.3.ebuild :

  Fix bug #9031 (add /etc/default/ to fix adduser -D).

*shadow-4.0.2-r4.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-4.0.2-r4.ebuild :
  Added KEYWORDS, SLOT.

*shadow-4.0.1-r2.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-4.0.1-r2.ebuild :
  Added KEYWORDS, SLOT.

  29 Jun 2002; M.Schlemmer <azarah@gentoo.org>
  Update to use libtool.eclass.  This fix the compile problems without
  having custom $LIBS and $LDFLAGS.

*shadow-4.0.2-r5 (28 Apr 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-4.0.2-r5.ebuild :
  Added KEYWORDS.

  28 Apr 2002; M.Schlemmer <azarah@gentoo.org>

  Remove /etc/login.defs.

  8 Apr 2002; M.Schlemmer <azarah@gentoo.org>

  Removed /bin/login in favour of the one in util-linux, as the one
  included here have a root exploit if pam_limits is in use.

  Libtoolized to fix .la files.  Build is pretty broken if libtoolized, so had
  to put a unortodox LIBS= and LDFLAGS= there.

*shadow-4.0.3 (3 Apr 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-4.0.3.ebuild :
  Added KEYWORDS.

  3 Apr 2002; Jared H. Hudson <jhhudso@gentoo.org>

  Added new shadow version, currently masked out until it's been
  tested better.
	
*shadow-4.0.2-r3 (3 Apr 2002)

  3 Apr 2002; Jared H. Hudson <jhhudso@gentoo.org>

  Cleaned up earlier fix to account for all possibilities, such as
  binary packages, different ROOT's, and an already existing good
  system-auth file.
	
*shadow-4.0.2-r2 (3 Apr 2002)

  3 Apr 2002; Jared H. Hudson <jhhudso@gentoo.org>

  Fixed /etc/pam.d/system-auth to use pam_unix instead of pam_pwdb due
  to security bug.
  
*shadow-4.0.2-r1 (25 Mar 2002)

  25 Mar 2002; M.Schlemmer <azarah@gentoo.org>

  Fix the "libdir" in /usr/lib/libmisc.la.

*shadow-20001016-r10 (12 Mar 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-20001016-r10.ebuild :
  Added KEYWORDS, SLOT.

  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org> 

  Added USE dependent nls compilation.

*shadow-20001016-r9 (26 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-20001016-r9.ebuild :
  Added KEYWORDS, SLOT.

  26 Feb 2002; T.Neidt <tod@gentoo.org> shadow-20001016-r9.ebuild, login.defs

  Changed 'CREATE_HOME yes' to 'CREATE_HOME no' in login.defs.
  CREATE_HOME is a RedHat'ism and is not supported by the stock shadow
  package (see src/useradd.c).  When CREATE_HOME is set to 'yes',
  adduser generates a warning meassage. 

  Bumped ebuild revision so login.defs will be updated by emerge updates.
  
  Note to users:  'useradd -m <user>' will create the home directory and
  add any files in /etc/skel (see 'man adduser')
  

*shadow-20001016-r8 (25 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-20001016-r8.ebuild :
  Added KEYWORDS, SLOT.

  25 Feb 2002; M.Schlemmer <azarah@gentoo.org> shadow-20001016-r8.ebuild

  Added a 'rm -rf ${D}/usr/share/man/*' to Chris's man fix to clean the
  Polish pages.  Added the line for installing /etc/pam.d/chage again, which
  should close bug #837.

*shadow-20001016-r7 (20 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> shadow-20001016-r7.ebuild :
  Added KEYWORDS, SLOT.

  20 Feb 2002; Chris Houser <chouser@gentoo.org> shadow-20001016-r7.ebuild
  files/digest-shadow-20001016-r7 ChangeLog :

  Changed man page installation.  More man pages are now included, and all
  should be in English (instead of the occasional Polish page).  This closes
  bug #594.

*shadow-20001016-r6 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
